Qt Reference Documentation

# Obsolete Members for QAudioFormat

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QAudioFormat class reference

## Public Functions

int | channels () const`(obsolete)`
int | frequency () const`(obsolete)`
void | setChannels ( int channels )`(obsolete)`
void | setFrequency ( int frequency )`(obsolete)`

## Member Function Documentation

### int QAudioFormat::channels () const

Use channelCount() instead.

See also setChannels().

### int QAudioFormat::frequency () const

Use sampleRate() instead.

See also setFrequency().

### void QAudioFormat::setChannels ( int channels )

Use setChannelCount() instead.

See also channels().

### void QAudioFormat::setFrequency ( int frequency )

Use setSampleRate() instead.

See also frequency().